"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeComponents = exports.writeChildren = exports.readEntities = exports.readComponents = exports.readComponent = exports.readChildren = exports.isUnknownComponent = exports.isSavableComponent = exports.isATTPrefabName = exports.isATTPrefabHash = exports.Entity = exports.WoodcutTreeComponent = exports.UnsupportedComponent = exports.StatManagerComponent = exports.SpawnAreaComponent = exports.SlidingDoorComponent = exports.SentGiftComponent = exports.PopulationSpawnAreaComponent = exports.PickupDockComponent = exports.PickupComponent = exports.PhysicalMaterialPartComponent = exports.NetworkRigidbodyComponent = exports.LogicVector3SenderComponent = exports.LogicVector3ReceiverComponent = exports.LogicIntSenderComponent = exports.LogicIntReceiverComponent = exports.LogicGateReceiverComponent = exports.LogicFloatSenderComponent = exports.LogicFloatReceiverComponent = exports.LogicBoolSenderComponent = exports.LogicBoolReceiverComponent = exports.LiquidContainerComponent = exports.HeatSourceBaseComponent = exports.FuseComponent = exports.FireComponent = exports.DurabilityModuleComponent = exports.DoorComponent = exports.Component = exports.BasicDecayComponent = exports.ATTPrefabs = exports.Prefab = exports.BinaryWriter = exports.BinaryReader = exports.BinaryData = exports.SpeciesHash = exports.PresetHash = exports.PopulationDefinitionHash = exports.PhysicalMaterialPartHash = exports.LogicOperator = exports.ComponentHash = void 0;
exports.writeEntities = void 0;
/* Enums */
var ComponentHash_js_1 = require("./types/ComponentHash.js");
Object.defineProperty(exports, "ComponentHash", { enumerable: true, get: function () { return ComponentHash_js_1.ComponentHash; } });
var LogicOperator_js_1 = require("./types/LogicOperator.js");
Object.defineProperty(exports, "LogicOperator", { enumerable: true, get: function () { return LogicOperator_js_1.LogicOperator; } });
var PhysicalMaterialPartHash_js_1 = require("./types/PhysicalMaterialPartHash.js");
Object.defineProperty(exports, "PhysicalMaterialPartHash", { enumerable: true, get: function () { return PhysicalMaterialPartHash_js_1.PhysicalMaterialPartHash; } });
var PopulationDefinitionHash_js_1 = require("./types/PopulationDefinitionHash.js");
Object.defineProperty(exports, "PopulationDefinitionHash", { enumerable: true, get: function () { return PopulationDefinitionHash_js_1.PopulationDefinitionHash; } });
var PresetHash_js_1 = require("./types/PresetHash.js");
Object.defineProperty(exports, "PresetHash", { enumerable: true, get: function () { return PresetHash_js_1.PresetHash; } });
var SpeciesHash_js_1 = require("./types/SpeciesHash.js");
Object.defineProperty(exports, "SpeciesHash", { enumerable: true, get: function () { return SpeciesHash_js_1.SpeciesHash; } });
/* Binary classes */
var BinaryData_js_1 = require("./BinaryData.js");
Object.defineProperty(exports, "BinaryData", { enumerable: true, get: function () { return BinaryData_js_1.BinaryData; } });
var BinaryReader_js_1 = require("./BinaryReader.js");
Object.defineProperty(exports, "BinaryReader", { enumerable: true, get: function () { return BinaryReader_js_1.BinaryReader; } });
var BinaryWriter_js_1 = require("./BinaryWriter.js");
Object.defineProperty(exports, "BinaryWriter", { enumerable: true, get: function () { return BinaryWriter_js_1.BinaryWriter; } });
/* Prefabs */
var Prefab_js_1 = require("./Prefab.js");
Object.defineProperty(exports, "Prefab", { enumerable: true, get: function () { return Prefab_js_1.Prefab; } });
var ATTPrefabs_js_1 = require("./types/ATTPrefabs.js");
Object.defineProperty(exports, "ATTPrefabs", { enumerable: true, get: function () { return ATTPrefabs_js_1.ATTPrefabs; } });
/* Components */
var BasicDecayComponent_js_1 = require("./components/BasicDecayComponent.js");
Object.defineProperty(exports, "BasicDecayComponent", { enumerable: true, get: function () { return BasicDecayComponent_js_1.BasicDecayComponent; } });
var Component_js_1 = require("./components/Component.js");
Object.defineProperty(exports, "Component", { enumerable: true, get: function () { return Component_js_1.Component; } });
var DoorComponent_js_1 = require("./components/DoorComponent.js");
Object.defineProperty(exports, "DoorComponent", { enumerable: true, get: function () { return DoorComponent_js_1.DoorComponent; } });
var DurabilityModuleComponent_js_1 = require("./components/DurabilityModuleComponent.js");
Object.defineProperty(exports, "DurabilityModuleComponent", { enumerable: true, get: function () { return DurabilityModuleComponent_js_1.DurabilityModuleComponent; } });
var FireComponent_js_1 = require("./components/FireComponent.js");
Object.defineProperty(exports, "FireComponent", { enumerable: true, get: function () { return FireComponent_js_1.FireComponent; } });
var FuseComponent_js_1 = require("./components/FuseComponent.js");
Object.defineProperty(exports, "FuseComponent", { enumerable: true, get: function () { return FuseComponent_js_1.FuseComponent; } });
var HeatSourceBaseComponent_js_1 = require("./components/HeatSourceBaseComponent.js");
Object.defineProperty(exports, "HeatSourceBaseComponent", { enumerable: true, get: function () { return HeatSourceBaseComponent_js_1.HeatSourceBaseComponent; } });
var LiquidContainerComponent_js_1 = require("./components/LiquidContainerComponent.js");
Object.defineProperty(exports, "LiquidContainerComponent", { enumerable: true, get: function () { return LiquidContainerComponent_js_1.LiquidContainerComponent; } });
var LogicBoolReceiverComponent_js_1 = require("./components/LogicBoolReceiverComponent.js");
Object.defineProperty(exports, "LogicBoolReceiverComponent", { enumerable: true, get: function () { return LogicBoolReceiverComponent_js_1.LogicBoolReceiverComponent; } });
var LogicBoolSenderComponent_js_1 = require("./components/LogicBoolSenderComponent.js");
Object.defineProperty(exports, "LogicBoolSenderComponent", { enumerable: true, get: function () { return LogicBoolSenderComponent_js_1.LogicBoolSenderComponent; } });
var LogicFloatReceiverComponent_js_1 = require("./components/LogicFloatReceiverComponent.js");
Object.defineProperty(exports, "LogicFloatReceiverComponent", { enumerable: true, get: function () { return LogicFloatReceiverComponent_js_1.LogicFloatReceiverComponent; } });
var LogicFloatSenderComponent_js_1 = require("./components/LogicFloatSenderComponent.js");
Object.defineProperty(exports, "LogicFloatSenderComponent", { enumerable: true, get: function () { return LogicFloatSenderComponent_js_1.LogicFloatSenderComponent; } });
var LogicGateReceiverComponent_js_1 = require("./components/LogicGateReceiverComponent.js");
Object.defineProperty(exports, "LogicGateReceiverComponent", { enumerable: true, get: function () { return LogicGateReceiverComponent_js_1.LogicGateReceiverComponent; } });
var LogicIntReceiverComponent_js_1 = require("./components/LogicIntReceiverComponent.js");
Object.defineProperty(exports, "LogicIntReceiverComponent", { enumerable: true, get: function () { return LogicIntReceiverComponent_js_1.LogicIntReceiverComponent; } });
var LogicIntSenderComponent_js_1 = require("./components/LogicIntSenderComponent.js");
Object.defineProperty(exports, "LogicIntSenderComponent", { enumerable: true, get: function () { return LogicIntSenderComponent_js_1.LogicIntSenderComponent; } });
var LogicVector3ReceiverComponent_js_1 = require("./components/LogicVector3ReceiverComponent.js");
Object.defineProperty(exports, "LogicVector3ReceiverComponent", { enumerable: true, get: function () { return LogicVector3ReceiverComponent_js_1.LogicVector3ReceiverComponent; } });
var LogicVector3SenderComponent_js_1 = require("./components/LogicVector3SenderComponent.js");
Object.defineProperty(exports, "LogicVector3SenderComponent", { enumerable: true, get: function () { return LogicVector3SenderComponent_js_1.LogicVector3SenderComponent; } });
var NetworkRigidbodyComponent_js_1 = require("./components/NetworkRigidbodyComponent.js");
Object.defineProperty(exports, "NetworkRigidbodyComponent", { enumerable: true, get: function () { return NetworkRigidbodyComponent_js_1.NetworkRigidbodyComponent; } });
var PhysicalMaterialPartComponent_js_1 = require("./components/PhysicalMaterialPartComponent.js");
Object.defineProperty(exports, "PhysicalMaterialPartComponent", { enumerable: true, get: function () { return PhysicalMaterialPartComponent_js_1.PhysicalMaterialPartComponent; } });
var PickupComponent_js_1 = require("./components/PickupComponent.js");
Object.defineProperty(exports, "PickupComponent", { enumerable: true, get: function () { return PickupComponent_js_1.PickupComponent; } });
var PickupDockComponent_js_1 = require("./components/PickupDockComponent.js");
Object.defineProperty(exports, "PickupDockComponent", { enumerable: true, get: function () { return PickupDockComponent_js_1.PickupDockComponent; } });
var PopulationSpawnAreaComponent_js_1 = require("./components/PopulationSpawnAreaComponent.js");
Object.defineProperty(exports, "PopulationSpawnAreaComponent", { enumerable: true, get: function () { return PopulationSpawnAreaComponent_js_1.PopulationSpawnAreaComponent; } });
var SentGiftComponent_js_1 = require("./components/SentGiftComponent.js");
Object.defineProperty(exports, "SentGiftComponent", { enumerable: true, get: function () { return SentGiftComponent_js_1.SentGiftComponent; } });
var SlidingDoorComponent_js_1 = require("./components/SlidingDoorComponent.js");
Object.defineProperty(exports, "SlidingDoorComponent", { enumerable: true, get: function () { return SlidingDoorComponent_js_1.SlidingDoorComponent; } });
var SpawnAreaComponent_js_1 = require("./components/SpawnAreaComponent.js");
Object.defineProperty(exports, "SpawnAreaComponent", { enumerable: true, get: function () { return SpawnAreaComponent_js_1.SpawnAreaComponent; } });
var StatManagerComponent_js_1 = require("./components/StatManagerComponent.js");
Object.defineProperty(exports, "StatManagerComponent", { enumerable: true, get: function () { return StatManagerComponent_js_1.StatManagerComponent; } });
var UnsupportedComponent_js_1 = require("./components/UnsupportedComponent.js");
Object.defineProperty(exports, "UnsupportedComponent", { enumerable: true, get: function () { return UnsupportedComponent_js_1.UnsupportedComponent; } });
var WoodcutTreeComponent_js_1 = require("./components/WoodcutTreeComponent.js");
Object.defineProperty(exports, "WoodcutTreeComponent", { enumerable: true, get: function () { return WoodcutTreeComponent_js_1.WoodcutTreeComponent; } });
/* Entities */
var Entity_js_1 = require("./Entity.js");
Object.defineProperty(exports, "Entity", { enumerable: true, get: function () { return Entity_js_1.Entity; } });
/* Utilities */
var isATTPrefabHash_js_1 = require("./utils/isATTPrefabHash.js");
Object.defineProperty(exports, "isATTPrefabHash", { enumerable: true, get: function () { return isATTPrefabHash_js_1.isATTPrefabHash; } });
var isATTPrefabName_js_1 = require("./utils/isATTPrefabName.js");
Object.defineProperty(exports, "isATTPrefabName", { enumerable: true, get: function () { return isATTPrefabName_js_1.isATTPrefabName; } });
var isSavableComponent_js_1 = require("./utils/isSavableComponent.js");
Object.defineProperty(exports, "isSavableComponent", { enumerable: true, get: function () { return isSavableComponent_js_1.isSavableComponent; } });
var isUnknownComponent_js_1 = require("./utils/isUnknownComponent.js");
Object.defineProperty(exports, "isUnknownComponent", { enumerable: true, get: function () { return isUnknownComponent_js_1.isUnknownComponent; } });
var readChildren_js_1 = require("./utils/readChildren.js");
Object.defineProperty(exports, "readChildren", { enumerable: true, get: function () { return readChildren_js_1.readChildren; } });
var readComponent_js_1 = require("./utils/readComponent.js");
Object.defineProperty(exports, "readComponent", { enumerable: true, get: function () { return readComponent_js_1.readComponent; } });
var readComponents_js_1 = require("./utils/readComponents.js");
Object.defineProperty(exports, "readComponents", { enumerable: true, get: function () { return readComponents_js_1.readComponents; } });
var readEntities_js_1 = require("./utils/readEntities.js");
Object.defineProperty(exports, "readEntities", { enumerable: true, get: function () { return readEntities_js_1.readEntities; } });
var writeChildren_js_1 = require("./utils/writeChildren.js");
Object.defineProperty(exports, "writeChildren", { enumerable: true, get: function () { return writeChildren_js_1.writeChildren; } });
var writeComponents_js_1 = require("./utils/writeComponents.js");
Object.defineProperty(exports, "writeComponents", { enumerable: true, get: function () { return writeComponents_js_1.writeComponents; } });
var writeEntities_js_1 = require("./utils/writeEntities.js");
Object.defineProperty(exports, "writeEntities", { enumerable: true, get: function () { return writeEntities_js_1.writeEntities; } });
