"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.supportedComponents = void 0;
const BasicDecayComponent_js_1 = require("./components/BasicDecayComponent.js");
const DoorComponent_js_1 = require("./components/DoorComponent.js");
const DurabilityModuleComponent_js_1 = require("./components/DurabilityModuleComponent.js");
const FireComponent_js_1 = require("./components/FireComponent.js");
const FuseComponent_js_1 = require("./components/FuseComponent.js");
const HeatSourceBaseComponent_js_1 = require("./components/HeatSourceBaseComponent.js");
const LiquidContainerComponent_js_1 = require("./components/LiquidContainerComponent.js");
const LogicBoolReceiverComponent_js_1 = require("./components/LogicBoolReceiverComponent.js");
const LogicBoolSenderComponent_js_1 = require("./components/LogicBoolSenderComponent.js");
const LogicFloatReceiverComponent_js_1 = require("./components/LogicFloatReceiverComponent.js");
const LogicFloatSenderComponent_js_1 = require("./components/LogicFloatSenderComponent.js");
const LogicGateReceiverComponent_js_1 = require("./components/LogicGateReceiverComponent.js");
const LogicIntReceiverComponent_js_1 = require("./components/LogicIntReceiverComponent.js");
const LogicIntSenderComponent_js_1 = require("./components/LogicIntSenderComponent.js");
const LogicVector3ReceiverComponent_js_1 = require("./components/LogicVector3ReceiverComponent.js");
const LogicVector3SenderComponent_js_1 = require("./components/LogicVector3SenderComponent.js");
const NetworkRigidbodyComponent_js_1 = require("./components/NetworkRigidbodyComponent.js");
const PhysicalMaterialPartComponent_js_1 = require("./components/PhysicalMaterialPartComponent.js");
const PickupComponent_js_1 = require("./components/PickupComponent.js");
const PickupDockComponent_js_1 = require("./components/PickupDockComponent.js");
const PopulationSpawnAreaComponent_js_1 = require("./components/PopulationSpawnAreaComponent.js");
const SentGiftComponent_js_1 = require("./components/SentGiftComponent.js");
const SlidingDoorComponent_js_1 = require("./components/SlidingDoorComponent.js");
const SpawnAreaComponent_js_1 = require("./components/SpawnAreaComponent.js");
const StatManagerComponent_js_1 = require("./components/StatManagerComponent.js");
const WoodcutTreeComponent_js_1 = require("./components/WoodcutTreeComponent.js");
exports.supportedComponents = {
    BasicDecay: BasicDecayComponent_js_1.BasicDecayComponent,
    Door: DoorComponent_js_1.DoorComponent,
    DurabilityModule: DurabilityModuleComponent_js_1.DurabilityModuleComponent,
    Fire: FireComponent_js_1.FireComponent,
    Fuse: FuseComponent_js_1.FuseComponent,
    HeatSourceBase: HeatSourceBaseComponent_js_1.HeatSourceBaseComponent,
    LiquidContainer: LiquidContainerComponent_js_1.LiquidContainerComponent,
    LogicBoolReceiver: LogicBoolReceiverComponent_js_1.LogicBoolReceiverComponent,
    LogicBoolSender: LogicBoolSenderComponent_js_1.LogicBoolSenderComponent,
    LogicFloatReceiver: LogicFloatReceiverComponent_js_1.LogicFloatReceiverComponent,
    LogicFloatSender: LogicFloatSenderComponent_js_1.LogicFloatSenderComponent,
    LogicGateReceiver: LogicGateReceiverComponent_js_1.LogicGateReceiverComponent,
    LogicIntReceiver: LogicIntReceiverComponent_js_1.LogicIntReceiverComponent,
    LogicIntSender: LogicIntSenderComponent_js_1.LogicIntSenderComponent,
    LogicVector3Receiver: LogicVector3ReceiverComponent_js_1.LogicVector3ReceiverComponent,
    LogicVector3Sender: LogicVector3SenderComponent_js_1.LogicVector3SenderComponent,
    NetworkRigidbody: NetworkRigidbodyComponent_js_1.NetworkRigidbodyComponent,
    PhysicalMaterialPart: PhysicalMaterialPartComponent_js_1.PhysicalMaterialPartComponent,
    Pickup: PickupComponent_js_1.PickupComponent,
    PickupDock: PickupDockComponent_js_1.PickupDockComponent,
    PopulationSpawnArea: PopulationSpawnAreaComponent_js_1.PopulationSpawnAreaComponent,
    SentGift: SentGiftComponent_js_1.SentGiftComponent,
    SlidingDoor: SlidingDoorComponent_js_1.SlidingDoorComponent,
    SpawnArea: SpawnAreaComponent_js_1.SpawnAreaComponent,
    StatManager: StatManagerComponent_js_1.StatManagerComponent,
    WoodcutTree: WoodcutTreeComponent_js_1.WoodcutTreeComponent
};
