"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSavableComponent = void 0;
const constants_js_1 = require("../constants.js");
const ATTPrefabs_js_1 = require("../types/ATTPrefabs.js");
function isSavableComponent(componentName, prefabArg) {
    const name = typeof prefabArg === 'string' ? prefabArg : constants_js_1.attPrefabNames[prefabArg];
    const prefab = ATTPrefabs_js_1.ATTPrefabs[name];
    const embed = Object.entries(prefab.embedded).find(([key]) => key.startsWith(`${name}_`))?.[1];
    return typeof embed?.savables?.[componentName] !== 'undefined';
}
exports.isSavableComponent = isSavableComponent;
