import { attPrefabNames } from '../constants.js';
import { ATTPrefabs } from '../types/ATTPrefabs.js';
export function isSavableComponent(componentName, prefabArg) {
    const name = typeof prefabArg === 'string' ? prefabArg : attPrefabNames[prefabArg];
    const prefab = ATTPrefabs[name];
    const embed = Object.entries(prefab.embedded).find(([key]) => key.startsWith(`${name}_`))?.[1];
    return typeof embed?.savables?.[componentName] !== 'undefined';
}
